Subject: Re: [AVTCORE] Comments on draft-ietf-avtcore-srtp-aes-gcm-05

From: Magnus Westerlund <[email-masked]>
Date: Wed, 14 Aug 2013 15:43:00 +0200

Hi,

I have checked the -07 version against these comments and think most are
resolved. I will comment where I believe there are still an issue.

On 2013-04-18 17:09, Magnus Westerlund wrote:
> Authors and WG,
> 
> In my review of the draft in preparing the Document Shepherd's writeup I
> found some issues that I believe needs to be fixed.
> 
> 1) Section 14.1:
> Security description [RFC 4568] defines SRTP "crypto suites"; a
>    crypto suite corresponds to a particular AEAD algorithm in SRTP.
> 
> As the registry is located on the SDP page it can be difficult to find
> and it also not named as written I propose to change this to:
> 
> Security description [RFC 4568] defines the "SRTP Crypto Suite
> Registrations" registry on the "Session Description Protocol (SDP)
> Security Descriptions" page currently located at
> "http://www.iana.org/assignments/sdp-security-descriptions/sdp-security-descriptions.xml";
> a
>    crypto suite corresponds to a particular AEAD algorithm in SRTP.

Section 15.1 now states with:

   Session description [RFC4568] defines SRTP "crypto suites".  A crypto
   suite corresponds to a particular AEAD algorithm in SRTP.  In order
   to allow SDP to signal the use of the algorithms defined in this
   document, IANA will register the following crypto suites into the
   subregistry for SRTP crypto suites under Session Description Protocol
   (SDP) Parameters:

I think this needs to be slightly corrected in two places:
 Security descriptions [RFC4568] defines SRTP "crypto suites".  A crypto
 ^^^^^^^^
   suite corresponds to a particular AEAD algorithm in SRTP.  In order
   to allow SDP to signal the use of the algorithms defined in this
   document, IANA will register the following crypto suites into the
   subregistry for SRTP crypto suites under "Session Description
                                            ^
   Protocol (SDP) Security Descriptions" Parameters:
                  ^^^^^^^^^^^^^^^^^^^^^^

This corrects both the common name of the RFC and the correct name of
the page for the sub-registries.

> 
> 
> 3) Section 14.2:
> 
> DTLS-SRTP [RFC5764] defines a DTLS-SRTP "SRTP Protection Profile";
> 
> This registry is actually named "DTLS-SRTP Protection Profiles" on
> IANA's page.

Lets wait and see what IANA says about this. There is a discrepancy
between IANA's page and what is written in the RFC.

> 
> 
> 4) IANA registry:
> 
>    On the SRTP policy Type/Value list (derived from Table 6.10.1.a of
>    [RFC3830]) we request the following addition:
> 
>       Type | Meaning                         | Possible values
>       ----------------------------------------------------------------
>        TBD | AEAD authentication tag length  | 8, 12, or 16 (in octets)
> 
> 
> This registry is called :
> 
> MIKEY Security Protocol Parameters at
> http://www.iana.org/assignments/mikey-payloads/mikey-payloads.xml
> 
> Can you please confirm that it is this registry you want to add to?

Can you please confirm that this is the right registry and in that case
use the explicit name: "MIKEY Security Protocol Parameters".

> 
> 
> 5) IANA registry:
> 
> 14.4. AEAD registry
> 
>    We request that IANA make the following additions to the AEAD
>    registry:
> 
>                  AEAD_AES_128_CCM_12     = TBD
>                  AEAD_AES_256_CCM_12     = TBD
> 
> 
> You are not using the exact correct names for the registry:
> http://www.iana.org/assignments/aead-parameters/aead-parameters.xml
> 
> Would suggest that you should write this as:
> 
>  We request that IANA make the following additions to the IANA
> Authenticated Encryption with Associated Data (AEAD) Parameters page's
> registry for "AEAD Algorithms":

This appears to not been addressed either. I would strongly suggest that
you fix it.

cheers

Magnus Westerlund

----------------------------------------------------------------------
Multimedia Technologies, Ericsson Research EAB/TVM
----------------------------------------------------------------------
Ericsson AB                | Phone  +46 10 7148287
Färögatan 6                | Mobile +46 73 0949079
SE-164 80 Stockholm, Sweden| mailto: [email-masked]
----------------------------------------------------------------------